/*
 * Copyright 2015 (c) Anna Schumaker.
 */
#include <core/settings.h>
#include <gui/sidebar.h>

const gchar *SIDEBAR_SETTING = "gui.sidebar.pos";


void __gui_sidebar_resized(GtkPaned *pane, GParamSpec *pspec, gpointer data)
{
	settings_set(SIDEBAR_SETTING, gtk_paned_get_position(pane));
}

void gui_sidebar_init()
{
	int pos  = settings_get(SIDEBAR_SETTING);
	if (pos > 0)
		gtk_paned_set_position(gui_sidebar(), pos);
}
